### Method

# FwupdPlugin Device get_id_display

since: 2.0.17

#### Declaration [src]

    gchar*
    fu_device_get_id_display (
      FuDevice* self
    )

#### Description [src]

This gets the device ID suffixed with the name if set.

Available since: 2.0.17

#### Return value

Type: `gchar*`

A string value, or `NULL` for invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.